#!/usr/bin/python
import configparser, os

def load_settings():
    configfile = configparser.ConfigParser()
    configfile.read('settings.cfg')

    config=dict()
    config['mail']=configfile.get("general","mail")
    config['report_interval']=configfile.get("general","report_interval", fallback="weekly")

    config['username']=configfile.get("blogsettings","username")
    config['password']=configfile.get("blogsettings","password", fallback="")
    config['xmlrpc_endpoint']=configfile.get("blogsettings","xmlrpc_endpoint")
    config['blog_id']=configfile.get("blogsettings","blog_id", fallback="0")
    config['participants_page_id']=configfile.get("blogsettings","participants_page_id")
    return config
